HSCRIPT-VALIDATE(1)

NAME
hscript-validate - ensure the validity of a HorizonScript

SYNOPSIS
hscript-validate [-hiknsv] INSTALLFILE

DESCRIPTION
The hscript-validate utility validates a HorizonScript, ensuring that it is free from syntax errors and that all required values are present and meet any requirements.

OPTIONS
The hscript-validate utility supports the following options:

-h  Displays a help message, and then exits.

-i  Set the Installation Environment flag. This is VERY DANGEROUS, as it will treat your host system as the target for purposes of validation. Unless you are very sure of what you are doing, do not use this flag!

-k  Keep going after parsing errors. This allows you to see all errors at once, instead of having each error be immediately fatal.

-n  Disables colour output and ANSI escape sequences in any log messages. This is the default when not running from a terminal.

-s  Enables Strict mode, which causes more potential issues to be errors instead of warnings.

-v  Displays the version information for this utility, and then exits.

EXIT STATUS

EXAMPLES
The following invocation will validate the HorizonScript at example.installfile:
    $ hscript-validate example.installfile

DIAGNOSTICS

%dateT%time log %location: %status: %message[: %extra] A message of type %status was logged while processing %location. The log message %message may be followed by additional information or hints in %extra.

SEE ALSO
hscript-simulate(1), hscript(5).

HISTORY
The hscript-validate command first appeared in Horizon 0.1.

AUTHORS
A. Wilcox <awilfox@adelielinux.org>